# Uses of Interface
org.apache.wiki.api.core.Attachment

Packages that use Attachment
Package
Description
org.apache.wiki.api.providers
Page Providers' API package of JSPWiki.
org.apache.wiki.api.spi
JSPWiki's SPI package.

## Uses of Attachment in org.apache.wiki.api.providers

Methods in org.apache.wiki.api.providers that return Attachment
Modifier and Type
Method
Description
`Attachment`
AttachmentProvider.`getAttachmentInfo(Page page, String name, int version)`
Returns info about an attachment.
Methods in org.apache.wiki.api.providers that return types with arguments of type Attachment
Modifier and Type
Method
Description
`Collection<Attachment>`
AttachmentProvider.`findAttachments(QueryItem[] query)`
Finds attachments based on the query.
`List<Attachment>`
AttachmentProvider.`getVersionHistory(Attachment att)`
Returns version history.
`List<Attachment>`
AttachmentProvider.`listAllChanged(Date timestamp)`
Lists changed attachments since given date.
`List<Attachment>`
AttachmentProvider.`listAttachments(Page page)`
Lists all attachments attached to a page.
Methods in org.apache.wiki.api.providers with parameters of type Attachment
Modifier and Type
Method
Description
`void`
AttachmentProvider.`deleteAttachment(Attachment att)`
Removes an entire page from the repository.
`void`
AttachmentProvider.`deleteVersion(Attachment att)`
Removes a specific version from the repository.
`InputStream`
AttachmentProvider.`getAttachmentData(Attachment att)`
Get attachment data.
`List<Attachment>`
AttachmentProvider.`getVersionHistory(Attachment att)`
Returns version history.
`void`
AttachmentProvider.`putAttachmentData(Attachment att, InputStream data)`
Put new attachment data.

## Uses of Attachment in org.apache.wiki.api.spi

Methods in org.apache.wiki.api.spi that return Attachment
Modifier and Type
Method
Description
`Attachment`
ContentsDSL.`attachment(Engine engine, String parentPage, String fileName)`
Creates a new `Attachment`.
`Attachment`
ContentsSPI.`attachment(Engine engine, String parentPage, String fileName)`
Creates a new `Attachment`.